Bug Hunting Session
Bug 58082 - Warning message "do you want to recalculate ..." when copy-paste cells from Calc
Summary: Warning message "do you want to recalculate ..." when copy-paste cells from Calc
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Paste
  Show dependency treegraph
 
Reported: 2012-12-10 13:34 UTC by Rusbearing
Modified: 2019-09-22 02:59 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Rusbearing 2012-12-10 13:34:32 UTC
I created a table in Calc that consists of 150 rows and 7 columns.

I want to copy it into Writer (later i will add in the document some pages with text before this table and after it).

What should I do for this?

1. I select my table in Calc and press Ctrl+C.
2. I create new empty document in Writer and press there Ctrl+V.
3. Writer asks me "This document was last saved by application other than LibreOffice." (but i haven't saved it yet). "Some formula cells may produce different results when recalculated. Do you want to recalculate all formula cells in this document now?".
- let it be so, I press "OK".
4. Now I have a big table with very small letters fitted on a page.

What should I do next to see my table fitted into several pages in normal format?
Comment 1 Joel Madero 2012-12-11 15:57:12 UTC
I can confirm this behavior on 3.6.3.2, changing versions to reflect earliest confirmed version.

NEW (Confirmed)
Normal (Can prevent high quality work)
Medium (seems relatively common to want to copy past a table from calc to word)
All (not restricted to Windows)


Thanks for the report!
Comment 2 Rainer Bielefeld Retired 2012-12-24 16:55:05 UTC
Still [Reproducible] with unzipped  installation of  "LOdev  4.0.0.0.alpha1+   -  ENGLISH UI / German Locale  [Build ID: 76c921de48ee41716b5a500b892945c704da73c)]"  {tinderbox: Win-x86@6, pull time 2012-12-10 09:43:47} on German WIN7 Home Premium (64bit) with own separate User Profile

But no problem with my 3.6.4.3. So my suspect is that this one is related to some settings or similar, we should check that.

@Rusbearing:
@Joel:
Any Ideas?
Comment 3 Rainer Bielefeld Retired 2012-12-24 17:29:12 UTC
Also NOT reproducible with Server Installation of  "LibreOffice  3.6.5.0+  English UI/ German Locale [Build-ID: 62b950d],{tinderbox: Win-x86_9-Voreppe pull time 2012-12-19 14:06:00}  on German WIN7 Home Premium (64bit), own User-Profile.

Seems I can only reproduce with some later 4.0 versions, but not with 3.6. I will do additonal tests later
Comment 4 Rainer Bielefeld Retired 2012-12-25 08:31:23 UTC
I was not able to find out what setting or similar causes that I can reproduce the problem with 4.0, bat not with 3.6.

The only additional knowledge I can contribute is that the problem seems to be in 4.0 paste process:

a) Copy from Calc 3.6 to Writer (or Draw by paste special calc8) 4.0: Message appears
b) Copy from Calc 4.0 to Writer (or Draw by paste special calc8) 3.6: Message does not appear

in 'b' the "calc8" Item in the paste special dialog is without text (not when pasted from Calc 3.6), what ever that might mean.

I think we should accept the dubiety concerning 3.6, we will see what will happen there when we have a Fix for 4.0.

@Michael:
Please set Status to ASSIGNED and add yourself to "Assigned To" if you accept this Bug or forward the Bug if it's not your turf
Comment 5 QA Administrators 2015-01-05 17:51:15 UTC Comment hidden (obsolete)
Comment 6 QA Administrators 2016-01-17 20:02:15 UTC Comment hidden (obsolete)
Comment 7 QA Administrators 2017-03-06 13:51:17 UTC Comment hidden (obsolete)
Comment 8 Zineta 2018-09-21 11:58:00 UTC
Tested in OOo 3.3.0. the same behviour so I have changed it to inherited from OOo.

Confirming: Now I have a big table with very small letters fitted on a page.

Different from  MS Word - where see my table fitted into several pages in normal format.

Also tested in: 
LO 5.4.7.2 and 6.2.0.0 the problem remained.
Comment 9 QA Administrators 2019-09-22 02:59:00 UTC
Dear Rusbearing,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug